View Issue Details

IDProjectCategoryView StatusLast Update
0019588mantisbttime trackingpublic2016-08-15 09:02
ReportercdijouxAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.2.20Fixed in Version1.2.20 
Summary0019588: Access to "billing_page.php"
Description

Hello,

I tried to give an access to the page of time tracking report to manager of a specific project. But this page check if the user is a "global manager", not a "project manager".
Need to be a projet manager.

billing_page.php :
@@ -28,0 +28,0 @@

  • access_ensure_global_level( config_get( 'time_tracking_reporting_threshold' ) );
  • access_ensure_project_level( config_get( 'time_tracking_reporting_threshold' ) );
TagsNo tags attached.

Activities

cdijoux

cdijoux

2015-04-09 11:10

reporter   ~0049369

An other modification that i forget :

core/html_api.php :
@@ -860,0 +860,0 @@
-if( config_get( 'time_tracking_enabled' ) && access_has_global_level( config_get( 'time_tracking_reporting_threshold' ) ) ) {

  • if( config_get( 'time_tracking_enabled' ) && access_has_project_level( config_get( 'time_tracking_reporting_threshold' ) ) ) {
cdijoux

cdijoux

2015-04-10 07:28

reporter   ~0049376

Patch for version in Mantis 1.2.17

dregad

dregad

2015-04-13 11:54

developer   ~0049390

Many thanks for the patch.

For the record, time tracking is not really maintained anymore, and is likely to be deprecated in the future. You might want to evaluate one of the available plugins as an alternative.

Related Changesets

MantisBT: master-1.2.x 1eb1f88d

2015-04-13 11:35:20

dregad

Details Diff
Time tracking: project-specific access to billing page

The access check against $g_time_tracking_reporting_threshold is now
made with access_ensure_project_level() instead of
access_ensure_global_level()

Fixes 0019588
mod - billing_page.php Diff File
mod - core/html_api.php Diff File

MantisBT: master 6d4378b9

2015-04-13 11:35:20

dregad

Details Diff
Time tracking: project-specific access to billing page

The access check against $g_time_tracking_reporting_threshold is now
made with access_ensure_project_level() instead of
access_ensure_global_level()

Fixes 0019588
mod - billing_page.php Diff File
mod - core/html_api.php Diff File

Issue History

Date Modified Username Field Change
2015-04-08 10:28 cdijoux New Issue
2015-04-08 15:24 atrol Project Plugin - Time Tracking => mantisbt
2015-04-09 11:10 cdijoux Note Added: 0049369
2015-04-10 07:28 cdijoux Note Added: 0049376
2015-04-13 11:42 dregad Changeset attached => MantisBT master-1.2.x 1eb1f88d
2015-04-13 11:42 dregad Assigned To => dregad
2015-04-13 11:42 dregad Status new => resolved
2015-04-13 11:42 dregad Resolution open => fixed
2015-04-13 11:42 dregad Fixed in Version => 1.2.20
2015-04-13 11:42 dregad Changeset attached => MantisBT master 6d4378b9
2015-04-13 11:54 dregad Target Version => 1.2.20
2015-04-13 11:54 dregad Note Added: 0049390
2016-08-15 09:02 dregad Status resolved => closed